geos::algorithm::hull::OuterShellsExtracter Class Reference

`#include <OuterShellsExtracter.h>`

## Static Public Member Functions

static void | extractShells (const Geometry *polygons, std::vector< const LinearRing * > &shells)

## Detailed Description

Extracts the rings of outer shells from a polygonal geometry. Outer shells are the shells of polygon elements which are not nested inside holes of other polygons.

Author
  Martin Davis

The documentation for this class was generated from the following file:

- OuterShellsExtracter.h